<template>
    <div>
        <h3 class="text-center">Show Article</h3>
        <div class="row">
            <div class="col-md-6" v-if="isLoaded">
                <div class="form-group">
                    <label>Title</label>
                    <div>{{ article.title }}</div>
                </div>
                <div class="form-group">
                    <label>Detail</label>
                    <div>{{ article.detail }}</div>
                </div>
            </div>

            <div class="col-md-12" v-else>
                <div class="preloader"></div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    data() {
        return {
            article: {},
            isLoaded: false,
        }
    },
    created() {
        this.axios
            .get(`/api/articles/${this.$route.params.id}`)
            .then((res) => {
                this.article = res.data;
                this.isLoaded = true;
            });
    },
}
</script>
